package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate

class EfectoRevivirEnemigo(
    private val mensajeRevivir: String, private val porcentaje: Double,
    probabilidadExito: Int
) :
    Efecto(probabilidadExito) {
    override fun ejecutar(): String {
        val probabilidadGenerada = (1..100).random()
        if (probabilidadGenerada <= probabilidadExito) {
            GestorCombate.cargarAnimacionsRegeneracionEnemigo()

            GameState.eventoActual.setResistencia(
                (GameState.eventoActual.resistenciaMax * porcentaje).toInt()
            )
            return mensajeRevivir

        } else {
            return "Fallo"
        }


    }
}